Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen
Interface FunctionContext

All Known Implementing Classes:
  SimpleFunctionContext

public interface FunctionContext

Implemented by classes that know how to resolve XPath function names and namespaces to implementations of these functions.

By using a custom `FunctionContext`, new or different functions may be installed and available to XPath expression writers.

Author:
  bob mcwhirter
See Also:
  `XPathFunctionContext`

Method Summary
`Function` | `getFunction(String namespaceURI, String prefix, String localName)` An implementation should return a `Function` implementation object based on the namespace URI and local name of the function-call expression.

Method Detail

### getFunction

    public Function getFunction(String namespaceURI,
                                String prefix,
                                String localName)
                         throws UnresolvableException

  An implementation should return a `Function` implementation object based on the namespace URI and local name of the function-call expression.

  It must not use the prefix parameter to select an implementation, because a prefix could be bound to any namespace; the prefix parameter could be used in debugging output or other generated information. The prefix may otherwise be completely ignored.

  Parameters:
    `namespaceURI` - the namespace URI to which the prefix parameter is bound in the XPath expression. If the function call expression had no prefix, the namespace URI is `null`.
    `prefix` - the prefix that was used in the function call expression
    `localName` - the local name of the function-call expression. If there is no prefix, then this is the whole name of the function.
  Returns:
    a Function implementation object.
  Throws:
    `UnresolvableException` - when the function cannot be resolved

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.